/*
 *  TOPPERS ATK2
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *      Automotive Kernel Version 2
 *
 *  Copyright (C) 2011-2013 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2011-2013 by FUJISOFT INCORPORATED, JAPAN
 *  Copyright (C) 2011-2013 by FUJITSU VLSI LIMITED, JAPAN
 *  Copyright (C) 2011-2013 by NEC Communication Systems, Ltd., JAPAN
 *  Copyright (C) 2011-2013 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
 *  Copyright (C) 2011-2013 by Renesas Electronics Corporation, JAPAN
 *  Copyright (C) 2011-2013 by Sunny Giken Inc., JAPAN
 *  Copyright (C) 2011-2013 by TOSHIBA CORPORATION, JAPAN
 *  Copyright (C) 2011-2013 by Witz Corporation, JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: svc_table.c 7504 2013-05-17 07:39:17Z fsi-dankei $
 */

/*  This file is generated from svc.def by gensvc_atk. */

#include "kernel_int.h"

void * const svc_table[TMAX_SVCID + 1] = {
	(void *) &GetCoreID,
	(void *) &GetNumberOfActivatedCores,
	(void *) &StartCore,
	(void *) &StartNonAutosarCore,
	(void *) &StartOS,
	(void *) &ShutdownAllCores,
	(void *) &ActivateTask,
	(void *) &TerminateTask,
	(void *) &ChainTask,
	(void *) &Schedule,
	(void *) &GetTaskID,
	(void *) &GetTaskState,
	(void *) &EnableAllInterrupts,
	(void *) &DisableAllInterrupts,
	(void *) &ResumeAllInterrupts,
	(void *) &SuspendAllInterrupts,
	(void *) &ResumeOSInterrupts,
	(void *) &SuspendOSInterrupts,
	(void *) &GetISRID,
	(void *) &DisableInterruptSource,
	(void *) &EnableInterruptSource,
	(void *) &GetResource,
	(void *) &ReleaseResource,
	(void *) &SetEvent,
	(void *) &ClearEvent,
	(void *) &GetEvent,
	(void *) &WaitEvent,
	(void *) &GetAlarmBase,
	(void *) &GetAlarm,
	(void *) &SetRelAlarm,
	(void *) &SetAbsAlarm,
	(void *) &CancelAlarm,
	(void *) &IncrementCounter,
	(void *) &GetCounterValue,
	(void *) &GetElapsedValue,
	(void *) &CheckISRMemoryAccess,
	(void *) &CheckTaskMemoryAccess,
	(void *) &CheckTaskAccess,
	(void *) &CheckISRAccess,
	(void *) &CheckAlarmAccess,
	(void *) &CheckResourceAccess,
	(void *) &CheckCounterAccess,
	(void *) &CheckScheduleTableAccess,
	(void *) &CheckSpinlockAccess,
	(void *) &CheckTaskOwnership,
	(void *) &CheckISROwnership,
	(void *) &CheckAlarmOwnership,
	(void *) &CheckCounterOwnership,
	(void *) &CheckScheduleTableOwnership,
	(void *) &GetApplicationID,
	(void *) &CallTrustedFunction,
	(void *) &GetApplicationState,
	(void *) &GetActiveApplicationMode,
	(void *) &StartScheduleTableRel,
	(void *) &StartScheduleTableAbs,
	(void *) &StopScheduleTable,
	(void *) &NextScheduleTable,
	(void *) &GetScheduleTableStatus,
	(void *) &GetFaultyContext,
	(void *) &GetSpinlock,
	(void *) &ReleaseSpinlock,
	(void *) &TryToGetSpinlock,
	(void *) &get_error_svcid,
	(void *) &get_error_par,
	(void *) &ioc_send_generic,
	(void *) &ioc_write_generic,
	(void *) &ioc_receive_generic,
	(void *) &ioc_read_generic,
	(void *) &ioc_empty_queue_generic,
	(void *) &RaiseInterCoreInterrupt,
	(void *) &exit_task,
	TARGET_SVC_TABLE
};
