$
$  TOPPERS ATK2
$      Toyohashi Open Platform for Embedded Real-Time Systems
$      Automotive Kernel Version 2
$
$  Copyright (C) 2007-2013 by Center for Embedded Computing Systems
$              Graduate School of Information Science, Nagoya Univ., JAPAN
$  Copyright (C) 2011-2013 by FUJISOFT INCORPORATED, JAPAN
$  Copyright (C) 2011-2013 by FUJITSU VLSI LIMITED, JAPAN
$  Copyright (C) 2011-2013 by NEC Communication Systems, Ltd., JAPAN
$  Copyright (C) 2011-2013 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
$  Copyright (C) 2011-2013 by Renesas Electronics Corporation, JAPAN
$  Copyright (C) 2011-2013 by Sunny Giken Inc., JAPAN
$  Copyright (C) 2011-2013 by TOSHIBA CORPORATION, JAPAN
$  Copyright (C) 2011-2013 by Witz Corporation, JAPAN
$
$  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
$  ܥեȥѤΤޤࡥʲƱˤѡʣ
$  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
$  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
$      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
$      ˴ޤޤƤ뤳ȡ
$  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
$      ѤǤǺۤˤϡۤȼɥȡ
$      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
$      ̵ݾڵǺܤ뤳ȡ
$  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
$      ѤǤʤǺۤˤϡΤ줫ξ
$      ȡ
$    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
$        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
$    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
$        𤹤뤳ȡ
$  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
$      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
$      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
$      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
$      դ뤳ȡ
$
$  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
$  TOPPERSץȤϡܥեȥ˴ؤơλŪ
$  ФŬޤơʤݾڤԤʤޤܥեȥ
$  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
$  Ǥʤ
$
$  $Id: ldscript.tf 7116 2013-03-06 09:12:19Z fsi-dankei $
$

$ =====================================================================
$ 󥫥ץȤ
$ =====================================================================
$FILE "ldscript.ld"$

$
$  åȰ¸OUTPUTҤ
$
$IF ISFUNCTION("GENERATE_OUTPUT")$
	$GENERATE_OUTPUT()$
$END$

$
$  MEMORYҤ
$
MEMORY {$NL$
$FOREACH reg REG.ORDER_LIST$
	$TAB$$FORMAT("%s : ORIGIN = 0x%x, LENGTH = 0x%x",
				REG.REGNAME[reg], +REG.BASE[reg], +REG.SIZE[reg])$$NL$
$END$
$IF ISFUNCTION("GENERATE_MEMORY")$
	$GENERATE_MEMORY()$
$END$
}$NL$
$NL$

$
$  åȰ¸PROVIDEҤ
$
$IF ISFUNCTION("GENERATE_PROVIDE")$
	$GENERATE_PROVIDE()$
$END$

$
$  ѿν
$
$reset_lma = 0$

$provide_gp = 0$

$
$  󥯻
$
SECTIONS {$NL$
$ åȰ¸Υ󵭽Ҥ
$IF ISFUNCTION("GENERATE_SECTION_FIRST")$
	$GENERATE_SECTION_FIRST()$
$END$

$NL$

$TAB$/* Kernel data on local memory of each cores.(core1...core4)$NL$
$TAB$$SPC$* Do not relocate these section! */$NL$
$FOREACH coreid RANGE(0,TMAX_COREID)$
	$TAB$.kernel_ccb_data$coreid$ :$NL$
	$TAB${$NL$
	    $TAB$$TAB$. = ALIGN(32 / 8);$NL$
	    $TAB$$TAB$__data$coreid$_start = ABSOLUTE(.);$NL$
	    $TAB$$TAB$*(._kernel_core$coreid$s_ccb)$NL$
	    $TAB$$TAB$__data$coreid$_end = ABSOLUTE(.);$NL$
	$TAB$} > onchip_osdataram$coreid$$NL$
	$NL$
$END$

$FOREACH coreid LOCAL_MEM_CORE_LIST$
	$TAB$.kernel_data_core$coreid$ :$NL$
	$TAB${$NL$
	    $TAB$$TAB$. = ALIGN(32 / 8);$NL$
	    $TAB$$TAB$__data_core$coreid$_start = ABSOLUTE(.);$NL$
	    $TAB$$TAB$*(._kernel_core$coreid$*)$NL$
	    $TAB$$TAB$__data_core$coreid$_end = ABSOLUTE(.);$NL$
		$TAB$$TAB$. = ALIGN($TARGET_PAGE_SIZE_STR$);$NL$
		$TAB$$TAB$__limit_data_core$coreid$_end = .;$NL$
	$TAB$} > $REG.REGNAME[CORE_RAM[coreid]]$$NL$
	$NL$
$END$

$FOREACH osapid LOCAL_MEM_OSAP_LIST$
	$IF LENGTH(OSAP.RAM_SEC[osapid])$
		$TAB$.kernel_data_osap$+osapid$ :$NL$
		$TAB${$NL$
		    $TAB$$TAB$. = ALIGN(32 / 8);$NL$
		    $TAB$$TAB$__data_osap$+osapid$_start = ABSOLUTE(.);$NL$
		    $TAB$$TAB$*(._kernel_osap$+osapid$*)$NL$
		    $TAB$$TAB$__data_osap$+osapid$_end = ABSOLUTE(.);$NL$
			$TAB$$TAB$. = ALIGN($TARGET_PAGE_SIZE_STR$);$NL$
			$TAB$$TAB$__limit_data_osap$+osapid$_end = .;$NL$
		$TAB$} > $REG.REGNAME[OSAP.RAM[osapid]]$$NL$
	$END$
	$NL$
$END$

$IF TOPPERS_LABEL_ASM$
	$PREFIX_START = "___start_"$
	$PREFIX_END   = "___end_"$
	$PREFIX_LIMIT = "___limit_"$
$ELSE$
	$PREFIX_START = "__start_"$
	$PREFIX_END   = "__end_"$
	$PREFIX_LIMIT = "__limit_"$
$END$

$FOREACH moid MO_ORDER$
	$IF MO.LINKER[moid]$
$		// γϵҤ
		$IF (MO.SEFLAG[moid] & 0x01) != 0$
			$TAB$.$MO.SLABEL[moid]$$SPC$
			$IF (MO.SEFLAG[moid] & 0x40) == 0$
				ALIGN($TARGET_SEC_ALIGN_STR$)$SPC$
			$END$
			$IF (MO.MEMATR[moid] & TA_NOWRITE) == 0
							&& (MO.MEMATR[moid] & TA_MEMINI) == 0$
				(NOLOAD)$SPC$
			$END$
			:$SPC$
			$IF !EQ(MO.ILABEL[moid], "")$
				ALIGN($TARGET_SEC_ALIGN_STR$)$SPC$
			$END$
			{$NL$
			$IF (MO.MEMATR[moid] & TA_SDATA) != 0 && provide_gp == 0$
				$TARGET_PROVIDE_GP()$
				$provide_gp = 1$
			$END$

$			// γϥ٥
			$IF !EQ(MO.SLABEL[moid], ALT(omit_start_slabel,""))$
				$TAB$$TAB$$PREFIX_START$$MO.SLABEL[moid]$ = .;$NL$
			$END$
			$TAB$$TAB$
		$END$

$		// 󥯤ե뵭Ҥ
		$section_dscr = SECTION_DESCRIPTION(MO.SECTION[moid])$
		$IF MO.TYPE[moid] == TOPPERS_ATTMOD$
			$MO.MODULE[moid]$($section_dscr$)$SPC$
		$ELIF MO.TYPE[moid] == TOPPERS_ATTSEC$
			*($section_dscr$)$SPC$
		$ELSE$
$           // 桼åΰ 
			Os_Lcfg.o($section_dscr$)$SPC$
		$END$

$		// νλ٥
		$IF (MO.SEFLAG[moid] & 0x02) != 0$
			$NL$
			$TAB$$TAB$$PREFIX_END$$MO.SLABEL[moid]$ = .;$NL$

$			// νλҤ
			$TAB$} > $REG.REGNAME[MO.MEMREG[moid]]$
			$IF !OMIT_IDATA$
				$IF !EQ(MO.ILABEL[moid], "")$
					$SPC$AT > $REG.REGNAME[STANDARD_ROM]$
					$reset_lma = 1$
				$ELIF reset_lma$
					$SPC$AT > $REG.REGNAME[MO.MEMREG[moid]]$
					$reset_lma = 0$
				$END$
			$END$
			$IF ISFUNCTION("TARGET_CODE_FILLER")$
				$TARGET_CODE_FILLER(moid)$
			$END$
			$NL$
			$IF !OMIT_IDATA && !EQ(MO.ILABEL[moid], "")$
				$TAB$$PREFIX_START$$MO.ILABEL[moid]$ = LOADADDR(.$MO.SLABEL[moid]$);$NL$
			$END$
		$END$

$		// 饤󵭽Ҥ
		$IF (MO.SEFLAG[moid] & 0x20) != 0$
			$TAB$. = ALIGN($TARGET_PAGE_SIZE_STR$);$NL$
		$ELIF (MO.SEFLAG[moid] & 0x02) != 0$
			$TAB$. = ALIGN($TARGET_SEC_ALIGN_STR$);$NL$
		$END$

		$IF (MO.SEFLAG[moid] & 0x02) != 0$
			$TAB$$PREFIX_LIMIT$$MO.SLABEL[moid]$ = .;$NL$
			$NL$
		$END$

$		// ꡼ǥ饤󤵤뤿Υߡ
		$IF (MO.SEFLAG[moid] & 0x80) != 0$
			$TAB$.$REG.REGNAME[MO.MEMREG[moid]]$_align$SPC$
					ALIGN($TARGET_SEC_ALIGN_STR$) : {$NL$
			$TAB$$TAB$__$REG.REGNAME[MO.MEMREG[moid]]$_align = .;$NL$
			$TAB$} > $REG.REGNAME[MO.MEMREG[moid]]$$NL$
			$NL$
		$END$
	$END$
$END$

$FOREACH lsid RANGE(1, numls)$
	$TAB$$LNKSEC.SECTION[lsid]$ : {$NL$
	$TAB$$TAB$*($LNKSEC.SECTION[lsid]$)$NL$
	$TAB$} > $REG.REGNAME[LNKSEC.MEMREG[lsid]]$$NL$
	$NL$
$END$

$	// C++testɬפɸ饤֥ǻѤ륻
$TAB$.dummy_for_cpptest : {$NL$
$TAB$$TAB$*(.ctors.65535) *(.eh_frame)$NL$
$TAB$$TAB$_end = .;$NL$
$TAB$} > RAM$NL$
$TAB$. = ALIGN(64);$NL$$NL$

$TAB$/DISCARD/ : {$NL$
$TAB$$TAB$*(.rel.dyn)$NL$
$TAB$}$NL$
$NL$

$TAB$/* DWARF debug sections.$NL$
$TAB$Symbols in the DWARF debugging sections are relative to $NL$
$TAB$the beginning of the section so we begin them at 0.  */$NL$
$NL$
$TAB$/* DWARF 1 */$NL$
$TAB$.debug          0 : { *(.debug) }$NL$
$TAB$.line           0 : { *(.line) }$NL$
$NL$
$TAB$/* GNU DWARF 1 extensions */$NL$
$TAB$.debug_srcinfo  0 : { *(.debug_srcinfo) }$NL$
$TAB$.debug_sfnames  0 : { *(.debug_sfnames) }$NL$
$NL$
$TAB$/* DWARF 1.1 and DWARF 2 */$NL$
$TAB$.debug_aranges  0 : { *(.debug_aranges) }$NL$
$TAB$.debug_pubnames 0 : { *(.debug_pubnames) }$NL$
$NL$
$TAB$/* DWARF 2 */$NL$
$TAB$.debug_info     0 : { *(.debug_info) }$NL$
$TAB$.debug_abbrev   0 : { *(.debug_abbrev) }$NL$
$TAB$.debug_line     0 : { *(.debug_line) }$NL$
$TAB$.debug_frame    0 : { *(.debug_frame) }$NL$
$TAB$.debug_str      0 : { *(.debug_str) }$NL$
$TAB$.debug_loc      0 : { *(.debug_loc) }$NL$
$TAB$.debug_macinfo  0 : { *(.debug_macinfo) }$NL$
$TAB$.debug_ranges   0 : { *(.debug_ranges) }$NL$
$NL$
$TAB$/* SGI/MIPS DWARF 2 extensions */$NL$
$TAB$.debug_weaknames 0 : { *(.debug_weaknames) }$NL$
$TAB$.debug_funcnames 0 : { *(.debug_funcnames) }$NL$
$TAB$.debug_typenames 0 : { *(.debug_typenames) }$NL$
$TAB$.debug_varnames  0 : { *(.debug_varnames) }$NL$
$NL$
}$NL$
